Bug 292251 - "service sendmail stop"
"service sendmail stop"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-15 21:49 EDT by Jonathan Kamens
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 10:55:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-09-15 21:49:07 EDT
With sendmail-8.14.1-4.1.fc8 and initscripts-8.56-1, "service sendmail stop"
doesn't.  The culprit appears to be this section of code in
/etc/rc.d/init.d/sendmail:

    stop)
	[ $running -ne 0 ] || exit 0
	stop
	RETVAL=$?
	;;

I believe it should say "&& exit 0" rather than "|| exit 0".
Comment 1 Thomas Woerner 2007-09-24 10:55:15 EDT
Fixed in rawhide in package sendmail-8.14.1-4.2.

Note You need to log in before you can comment on or make changes to this bug.